Skip to content
API Reference

List

client.Organizations.Invitations.List(ctx, organizationID, params) (*OrganizationInvitationListResponse, error)
GET/organizations/{organization_id}/invitations

List invitations for an organization

ParametersExpand Collapse
organizationID string

Organization ID or label identifier

minLength1
maxLength255
params OrganizationInvitationListParams
After param.Field[string]optional

Query param: Cursor for forward pagination

minLength1
maxLength255
Before param.Field[string]optional

Query param: Cursor for backward pagination

minLength1
maxLength255
Expand param.Field[[]string]optional

Query param: Fields to expand in the response. Currently supports "permissions" to include the permissions field with the caller's permissions for the resource.

const OrganizationInvitationListParamsExpandPermissions OrganizationInvitationListParamsExpand = "permissions"
Limit param.Field[int64]optional

Query param: Maximum number of invitations to return

minimum1
maximum100
XClientRequestID param.Field[string]optional

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
type OrganizationInvitationListResponse struct{…}
Items []Invitation
ID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
CreatedAt Time

The time the entity was created in utc

formatdate-time
CreatedBy string

ID of the user who created the invitation

minLength1
maxLength255
Email string

Email address for the invitation

formatemail
ExpiresAt Time

When the invitation expires

formatdate-time
OrganizationID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255

Role that will be assigned when invitation is accepted

Accepts one of the following:
const OrganizationRoleOrgAdmin OrganizationRole = "org_admin"
const OrganizationRoleOrgMember OrganizationRole = "org_member"
const OrganizationRoleOrgViewer OrganizationRole = "org_viewer"

Status of an invitation

Accepts one of the following:
const InvitationStatusPending InvitationStatus = "pending"
const InvitationStatusAccepted InvitationStatus = "accepted"
const InvitationStatusExpired InvitationStatus = "expired"
const InvitationStatusRevoked InvitationStatus = "revoked"
UpdatedAt Time

The time the entity was mostly recently updated in utc

formatdate-time
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Pagination information using cursor-based pagination

HasNextPage bool

Whether there are more items after the current page

HasPrevPage bool

Whether there are more items before the current page

EndCursor stringoptional

Cursor pointing to the last item in the current page

minLength1
maxLength255
StartCursor stringoptional

Cursor pointing to the first item in the current page

minLength1
maxLength255
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

List

package main

import (
  "context"
  "fmt"

  "github.com/keycardai/keycard-go"
)

func main() {
  client := keycard.NewClient(

  )
  invitations, err := client.Organizations.Invitations.List(
    context.TODO(),
    "x",
    keycard.OrganizationInvitationListParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", invitations.Items)
}
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "created_by": "ab3def8hij2klm9opq5rst7uvw",
      "email": "dev@stainless.com",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "organization_id": "ab3def8hij2klm9opq5rst7uvw",
      "role": "org_admin",
      "status": "pending",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "created_by": "ab3def8hij2klm9opq5rst7uvw",
      "email": "dev@stainless.com",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "organization_id": "ab3def8hij2klm9opq5rst7uvw",
      "role": "org_admin",
      "status": "pending",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}